diff --git a/tests/manager/test_resource.py b/tests/manager/test_resource.py
index 331281c..66f86aa 100644
--- a/tests/manager/test_resource.py
+++ b/tests/manager/test_resource.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 import datetime
 
 import freezegun
@@ -16,7 +14,7 @@ pytestmark = pytest.mark.django_db
 
 
 def test_list_resources_as_manager(app, manager_user):
-    agenda = Agenda(label=u'Foo Bar')
+    agenda = Agenda(label='Foo Bar')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
     app = login(app, username='manager', password='manager')
@@ -40,7 +38,7 @@ def test_add_resource(app, admin_user):
 
 
 def test_add_resource_as_manager(app, manager_user):
-    agenda = Agenda(label=u'Foo Bar')
+    agenda = Agenda(label='Foo Bar')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
     app = login(app, username='manager', password='manager')
@@ -48,7 +46,7 @@ def test_add_resource_as_manager(app, manager_user):
 
 
 def test_view_resource(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo Bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo Bar', kind='meetings')
     resource = Resource.objects.create(label='Resource 1')
 
     app = login(app)
@@ -61,7 +59,7 @@ def test_view_resource(app, admin_user):
 
 
 def test_view_resource_as_manager(app, manager_user):
-    agenda = Agenda.objects.create(label=u'Foo Bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo Bar', kind='meetings')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
     resource = Resource.objects.create(label='Resource 1')
@@ -200,7 +198,7 @@ def test_resource_day_view_event_outside_timeperiod(app, admin_user):
 
 
 def test_day_view_resource_as_manager(app, manager_user):
-    agenda = Agenda.objects.create(label=u'Foo Bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo Bar', kind='meetings')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
     resource = Resource.objects.create(label='Resource 1')
@@ -467,7 +465,7 @@ def test_resource_month_view_event_outside_timeperiod(app, admin_user):
 
 
 def test_month_view_resource_as_manager(app, manager_user):
-    agenda = Agenda.objects.create(label=u'Foo Bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo Bar', kind='meetings')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
     resource = Resource.objects.create(label='Resource 1')
@@ -492,7 +490,7 @@ def test_edit_resource(app, admin_user):
 
 
 def test_edit_resource_as_manager(app, manager_user):
-    agenda = Agenda.objects.create(label=u'Foo Bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo Bar', kind='meetings')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
     resource = Resource.objects.create(label='Resource 1')
@@ -512,7 +510,7 @@ def test_delete_resource(app, admin_user):
 
 
 def test_delete_resource_as_manager(app, manager_user):
-    agenda = Agenda.objects.create(label=u'Foo Bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo Bar', kind='meetings')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
     resource = Resource.objects.create(label='Resource 1')
@@ -521,7 +519,7 @@ def test_delete_resource_as_manager(app, manager_user):
 
 
 def test_agenda_resources(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='events')
+    agenda = Agenda.objects.create(label='Foo bar', kind='events')
     resource = Resource.objects.create(label='Resource 1')
     app = login(app)
     # not for events agenda
@@ -530,7 +528,7 @@ def test_agenda_resources(app, admin_user):
 
 
 def test_meetings_agenda_resources(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     app = login(app)
     resp = app.get('/manage/agendas/%s/settings' % agenda.pk)
     assert 'has_resources' in resp.context
diff --git a/tests/manager/test_unavailability_calendar.py b/tests/manager/test_unavailability_calendar.py
index a23f13c..669b143 100644
--- a/tests/manager/test_unavailability_calendar.py
+++ b/tests/manager/test_unavailability_calendar.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 import copy
 import datetime
 import json
@@ -26,7 +24,7 @@ pytestmark = pytest.mark.django_db
 
 
 def test_import_unavailability_calendar(app, admin_user):
-    calendar = UnavailabilityCalendar.objects.create(label=u'Foo bar')
+    calendar = UnavailabilityCalendar.objects.create(label='Foo bar')
 
     app = login(app)
     with freezegun.freeze_time('2020-06-15'):
@@ -95,14 +93,14 @@ def test_import_unavailability_calendar(app, admin_user):
 
     # reference to unknown group
     calendar_export_dict = json.loads(force_text(calendar_export))
-    calendar_export_dict['unavailability_calendars'][0]['permissions']['view'] = u'gé1'
+    calendar_export_dict['unavailability_calendars'][0]['permissions']['view'] = 'gé1'
     calendar_export = json.dumps(calendar_export_dict).encode('utf-8')
     UnavailabilityCalendar.objects.all().delete()
     resp = app.get('/manage/', status=200)
     resp = resp.click('Import')
     resp.form['agendas_json'] = Upload('export.json', calendar_export, 'application/json')
     resp = resp.form.submit()
-    assert u'Missing roles: &quot;gé1&quot;' in resp.text
+    assert 'Missing roles: &quot;gé1&quot;' in resp.text
     del calendar_export_dict['unavailability_calendars'][0]['permissions']['view']
 
 
diff --git a/tests/test_agendas.py b/tests/test_agendas.py
index a569326..bbf25d4 100644
--- a/tests/test_agendas.py
+++ b/tests/test_agendas.py
@@ -1,8 +1,8 @@
 import datetime
 import json
 import smtplib
+from unittest import mock
 
-import mock
 import pytest
 import requests
 from django.contrib.auth.models import Group, User
@@ -116,83 +116,83 @@ with open('tests/data/atreal.ics') as f:
 
 
 def test_slug():
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.save()
     assert agenda.slug == 'foo-bar'
 
 
 def test_existing_slug():
-    agenda = Agenda(label=u'Foo bar', slug='bar')
+    agenda = Agenda(label='Foo bar', slug='bar')
     agenda.save()
     assert agenda.slug == 'bar'
 
 
 def test_duplicate_slugs():
-    agenda = Agenda(label=u'Foo baz')
+    agenda = Agenda(label='Foo baz')
     agenda.save()
     assert agenda.slug == 'foo-baz'
-    agenda = Agenda(label=u'Foo baz')
+    agenda = Agenda(label='Foo baz')
     agenda.save()
     assert agenda.slug == 'foo-baz-1'
-    agenda = Agenda(label=u'Foo baz')
+    agenda = Agenda(label='Foo baz')
     agenda.save()
     assert agenda.slug == 'foo-baz-2'
 
 
 def test_resource_slug():
-    resource = Resource.objects.create(label=u'Foo bar')
+    resource = Resource.objects.create(label='Foo bar')
     assert resource.slug == 'foo-bar'
 
 
 def test_resource_existing_slug():
-    resource = Resource.objects.create(label=u'Foo bar', slug='bar')
+    resource = Resource.objects.create(label='Foo bar', slug='bar')
     assert resource.slug == 'bar'
 
 
 def test_resource_duplicate_slugs():
-    resource = Resource.objects.create(label=u'Foo baz')
+    resource = Resource.objects.create(label='Foo baz')
     assert resource.slug == 'foo-baz'
-    resource = Resource.objects.create(label=u'Foo baz')
+    resource = Resource.objects.create(label='Foo baz')
     assert resource.slug == 'foo-baz-1'
-    resource = Resource.objects.create(label=u'Foo baz')
+    resource = Resource.objects.create(label='Foo baz')
     assert resource.slug == 'foo-baz-2'
 
 
 def test_category_slug():
-    category = Category.objects.create(label=u'Foo bar')
+    category = Category.objects.create(label='Foo bar')
     assert category.slug == 'foo-bar'
 
 
 def test_category_existing_slug():
-    category = Category.objects.create(label=u'Foo bar', slug='bar')
+    category = Category.objects.create(label='Foo bar', slug='bar')
     assert category.slug == 'bar'
 
 
 def test_category_duplicate_slugs():
-    category = Category.objects.create(label=u'Foo baz')
+    category = Category.objects.create(label='Foo baz')
     assert category.slug == 'foo-baz'
-    category = Category.objects.create(label=u'Foo baz')
+    category = Category.objects.create(label='Foo baz')
     assert category.slug == 'foo-baz-1'
-    category = Category.objects.create(label=u'Foo baz')
+    category = Category.objects.create(label='Foo baz')
     assert category.slug == 'foo-baz-2'
 
 
 def test_absence_reason_group_slug():
-    group = AbsenceReasonGroup.objects.create(label=u'Foo bar')
+    group = AbsenceReasonGroup.objects.create(label='Foo bar')
     assert group.slug == 'foo-bar'
 
 
 def test_absence_reason_group_existing_slug():
-    group = AbsenceReasonGroup.objects.create(label=u'Foo bar', slug='bar')
+    group = AbsenceReasonGroup.objects.create(label='Foo bar', slug='bar')
     assert group.slug == 'bar'
 
 
 def test_absence_reason_group_duplicate_slugs():
-    group = AbsenceReasonGroup.objects.create(label=u'Foo baz')
+    group = AbsenceReasonGroup.objects.create(label='Foo baz')
     assert group.slug == 'foo-baz'
-    group = AbsenceReasonGroup.objects.create(label=u'Foo baz')
+    group = AbsenceReasonGroup.objects.create(label='Foo baz')
     assert group.slug == 'foo-baz-1'
-    group = AbsenceReasonGroup.objects.create(label=u'Foo baz')
+    group = AbsenceReasonGroup.objects.create(label='Foo baz')
     assert group.slug == 'foo-baz-2'
 
 
@@ -429,7 +429,7 @@ def test_event_existing_slug():
 
 
 def test_event_manager():
-    agenda = Agenda(label=u'Foo baz')
+    agenda = Agenda(label='Foo baz')
     agenda.save()
     event = Event(start_datetime=now(), places=10, agenda=agenda)
     event.save()
@@ -460,7 +460,7 @@ def test_event_manager():
 )
 def test_event_bookable_period(start_days, start_minutes, min_delay, max_delay, pub_days, expected):
     agenda = Agenda.objects.create(
-        label=u'Foo bar', minimal_booking_delay=min_delay, maximal_booking_delay=max_delay
+        label='Foo bar', minimal_booking_delay=min_delay, maximal_booking_delay=max_delay
     )
     event = Event.objects.create(
         start_datetime=localtime() + datetime.timedelta(days=start_days, minutes=start_minutes),
@@ -472,26 +472,26 @@ def test_event_bookable_period(start_days, start_minutes, min_delay, max_delay,
 
 
 def test_meeting_type_slugs():
-    agenda1 = Agenda(label=u'Foo bar')
+    agenda1 = Agenda(label='Foo bar')
     agenda1.save()
-    agenda2 = Agenda(label=u'Foo bar second')
+    agenda2 = Agenda(label='Foo bar second')
     agenda2.save()
 
-    meeting_type1 = MeetingType(agenda=agenda1, label=u'Baz')
+    meeting_type1 = MeetingType(agenda=agenda1, label='Baz')
     meeting_type1.save()
     assert meeting_type1.slug == 'baz'
 
-    meeting_type2 = MeetingType(agenda=agenda1, label=u'Baz')
+    meeting_type2 = MeetingType(agenda=agenda1, label='Baz')
     meeting_type2.save()
     assert meeting_type2.slug == 'baz-1'
 
-    meeting_type3 = MeetingType(agenda=agenda2, label=u'Baz')
+    meeting_type3 = MeetingType(agenda=agenda2, label='Baz')
     meeting_type3.save()
     assert meeting_type3.slug == 'baz'
 
 
 def test_timeperiodexception_creation_from_ics():
-    agenda = Agenda.objects.create(label=u'Test 1 agenda')
+    agenda = Agenda.objects.create(label='Test 1 agenda')
     desk = Desk.objects.create(label='Test 1 desk', agenda=agenda)
     source = desk.timeperiodexceptionsource_set.create(
         ics_filename='sample.ics', ics_file=ContentFile(ICS_SAMPLE, name='sample.ics')
@@ -501,7 +501,7 @@ def test_timeperiodexception_creation_from_ics():
 
 
 def test_timeperiodexception_creation_from_ics_without_startdt():
-    agenda = Agenda.objects.create(label=u'Test 2 agenda')
+    agenda = Agenda.objects.create(label='Test 2 agenda')
     desk = Desk.objects.create(label='Test 2 desk', agenda=agenda)
     lines = []
     # remove start datetimes from ics
@@ -517,7 +517,7 @@ def test_timeperiodexception_creation_from_ics_without_startdt():
 
 
 def test_timeperiodexception_creation_from_ics_without_enddt():
-    agenda = Agenda.objects.create(label=u'Test 3 agenda')
+    agenda = Agenda.objects.create(label='Test 3 agenda')
     desk = Desk.objects.create(label='Test 3 desk', agenda=agenda)
     lines = []
     # remove end datetimes from ics
@@ -535,7 +535,7 @@ def test_timeperiodexception_creation_from_ics_without_enddt():
 
 @pytest.mark.freeze_time('2017-12-01')
 def test_timeperiodexception_creation_from_ics_with_recurrences():
-    agenda = Agenda.objects.create(label=u'Test 4 agenda')
+    agenda = Agenda.objects.create(label='Test 4 agenda')
     desk = Desk.objects.create(label='Test 4 desk', agenda=agenda)
     source = desk.timeperiodexceptionsource_set.create(
         ics_filename='sample.ics', ics_file=ContentFile(ICS_SAMPLE_WITH_RECURRENT_EVENT, name='sample.ics')
@@ -545,7 +545,7 @@ def test_timeperiodexception_creation_from_ics_with_recurrences():
 
 
 def test_timeexception_creation_from_ics_with_dates():
-    agenda = Agenda.objects.create(label=u'Test 5 agenda')
+    agenda = Agenda.objects.create(label='Test 5 agenda')
     desk = Desk.objects.create(label='Test 5 desk', agenda=agenda)
     lines = []
     # remove end datetimes from ics
@@ -563,7 +563,7 @@ def test_timeexception_creation_from_ics_with_dates():
 
 
 def test_timeexception_create_from_invalid_ics():
-    agenda = Agenda.objects.create(label=u'Test 6 agenda')
+    agenda = Agenda.objects.create(label='Test 6 agenda')
     desk = Desk.objects.create(label='Test 6 desk', agenda=agenda)
     source = desk.timeperiodexceptionsource_set.create(
         ics_filename='sample.ics', ics_file=ContentFile(INVALID_ICS_SAMPLE, name='sample.ics')
@@ -574,7 +574,7 @@ def test_timeexception_create_from_invalid_ics():
 
 
 def test_timeexception_create_from_ics_with_no_events():
-    agenda = Agenda.objects.create(label=u'Test 7 agenda')
+    agenda = Agenda.objects.create(label='Test 7 agenda')
     desk = Desk.objects.create(label='Test 7 desk', agenda=agenda)
     source = desk.timeperiodexceptionsource_set.create(
         ics_filename='sample.ics', ics_file=ContentFile(ICS_SAMPLE_WITH_NO_EVENTS, name='sample.ics')
@@ -586,7 +586,7 @@ def test_timeexception_create_from_ics_with_no_events():
 
 @mock.patch('chrono.agendas.models.requests.get')
 def test_timeperiodexception_creation_from_remote_ics(mocked_get):
-    agenda = Agenda.objects.create(label=u'Test 8 agenda')
+    agenda = Agenda.objects.create(label='Test 8 agenda')
     desk = Desk.objects.create(label='Test 8 desk', agenda=agenda)
     mocked_response = mock.Mock()
     mocked_response.text = ICS_SAMPLE
@@ -605,7 +605,7 @@ def test_timeperiodexception_creation_from_remote_ics(mocked_get):
 
 @mock.patch('chrono.agendas.models.requests.get')
 def test_timeperiodexception_remote_ics_encoding(mocked_get):
-    agenda = Agenda.objects.create(label=u'Test 8 agenda')
+    agenda = Agenda.objects.create(label='Test 8 agenda')
     desk = Desk.objects.create(label='Test 8 desk', agenda=agenda)
     mocked_response = mock.Mock()
     mocked_response.content = ICS_SAMPLE.encode('iso-8859-15')
@@ -619,7 +619,7 @@ def test_timeperiodexception_remote_ics_encoding(mocked_get):
 
 @mock.patch('chrono.agendas.models.requests.get')
 def test_timeperiodexception_creation_from_unreachable_remote_ics(mocked_get):
-    agenda = Agenda.objects.create(label=u'Test 9 agenda')
+    agenda = Agenda.objects.create(label='Test 9 agenda')
     desk = Desk.objects.create(label='Test 9 desk', agenda=agenda)
     mocked_response = mock.Mock()
     mocked_response.text = ICS_SAMPLE
@@ -637,7 +637,7 @@ def test_timeperiodexception_creation_from_unreachable_remote_ics(mocked_get):
 
 @mock.patch('chrono.agendas.models.requests.get')
 def test_timeperiodexception_creation_from_forbidden_remote_ics(mocked_get):
-    agenda = Agenda.objects.create(label=u'Test 10 agenda')
+    agenda = Agenda.objects.create(label='Test 10 agenda')
     desk = Desk.objects.create(label='Test 10 desk', agenda=agenda)
     mocked_response = mock.Mock()
     mocked_response.status_code = 403
@@ -657,7 +657,7 @@ def test_timeperiodexception_creation_from_forbidden_remote_ics(mocked_get):
 
 @mock.patch('chrono.agendas.models.requests.get')
 def test_sync_desks_timeperiod_exceptions_from_ics(mocked_get, capsys):
-    agenda = Agenda.objects.create(label=u'Test 11 agenda')
+    agenda = Agenda.objects.create(label='Test 11 agenda')
     desk = Desk.objects.create(label='Test 11 desk', agenda=agenda)
     source = TimePeriodExceptionSource.objects.create(desk=desk, ics_url='http://example.com/sample.ics')
     mocked_response = mock.Mock()
@@ -715,7 +715,7 @@ def test_sync_desks_timeperiod_exceptions_from_ics(mocked_get, capsys):
     }
 )
 def test_timeperiodexception_from_settings():
-    agenda = Agenda(label=u'Test 1 agenda')
+    agenda = Agenda(label='Test 1 agenda')
     agenda.save()
     desk = Desk(label='Test 1 desk', agenda=agenda)
     desk.save()
@@ -749,7 +749,7 @@ def test_timeperiodexception_from_settings_command():
             'holidays': {'class': 'workalendar.europe.France', 'label': 'Holidays'},
         }
     }
-    agenda = Agenda(label=u'Test 1 agenda')
+    agenda = Agenda(label='Test 1 agenda')
     agenda.save()
 
     desk1 = Desk(label='Test 1 desk', agenda=agenda)
@@ -822,32 +822,28 @@ def test_base_meeting_duration():
 def test_timeperiodexception_creation_from_ics_with_duration():
     # test that event defined using duration works and give the same start and
     # end dates
-    agenda = Agenda.objects.create(label=u'Test 1 agenda')
+    agenda = Agenda.objects.create(label='Test 1 agenda')
     desk = Desk.objects.create(label='Test 1 desk', agenda=agenda)
     source = desk.timeperiodexceptionsource_set.create(
         ics_filename='sample.ics', ics_file=ContentFile(ICS_SAMPLE_WITH_DURATION, name='sample.ics')
     )
     source.refresh_timeperiod_exceptions_from_ics()
     assert TimePeriodException.objects.filter(desk=desk).count() == 2
-    assert set(TimePeriodException.objects.values_list('start_datetime', flat=True)) == set(
-        [
-            make_aware(datetime.datetime(2017, 8, 31, 19, 8, 0)),
-            make_aware(datetime.datetime(2017, 8, 30, 20, 8, 0)),
-        ]
-    )
-    assert set(TimePeriodException.objects.values_list('end_datetime', flat=True)) == set(
-        [
-            make_aware(datetime.datetime(2017, 8, 31, 22, 34, 0)),
-            make_aware(datetime.datetime(2017, 9, 1, 0, 34, 0)),
-        ]
-    )
+    assert set(TimePeriodException.objects.values_list('start_datetime', flat=True)) == {
+        make_aware(datetime.datetime(2017, 8, 31, 19, 8, 0)),
+        make_aware(datetime.datetime(2017, 8, 30, 20, 8, 0)),
+    }
+    assert set(TimePeriodException.objects.values_list('end_datetime', flat=True)) == {
+        make_aware(datetime.datetime(2017, 8, 31, 22, 34, 0)),
+        make_aware(datetime.datetime(2017, 9, 1, 0, 34, 0)),
+    }
 
 
 @pytest.mark.freeze_time('2017-12-01')
 def test_timeperiodexception_creation_from_ics_with_recurrences_in_the_past():
     # test that recurrent events before today are not created
     # also test that duration + recurrent events works
-    agenda = Agenda.objects.create(label=u'Test 4 agenda')
+    agenda = Agenda.objects.create(label='Test 4 agenda')
     desk = Desk.objects.create(label='Test 4 desk', agenda=agenda)
     source = desk.timeperiodexceptionsource_set.create(
         ics_filename='sample.ics',
@@ -855,13 +851,14 @@ def test_timeperiodexception_creation_from_ics_with_recurrences_in_the_past():
     )
     source.refresh_timeperiod_exceptions_from_ics()
     assert TimePeriodException.objects.filter(desk=desk).count() == 2
-    assert set(TimePeriodException.objects.values_list('start_datetime', flat=True)) == set(
-        [make_aware(datetime.datetime(2018, 1, 1)), make_aware(datetime.datetime(2019, 1, 1))]
-    )
+    assert set(TimePeriodException.objects.values_list('start_datetime', flat=True)) == {
+        make_aware(datetime.datetime(2018, 1, 1)),
+        make_aware(datetime.datetime(2019, 1, 1)),
+    }
 
 
 def test_timeperiodexception_creation_from_ics_with_recurrences_atreal():
-    agenda = Agenda.objects.create(label=u'Test atreal agenda')
+    agenda = Agenda.objects.create(label='Test atreal agenda')
     desk = Desk.objects.create(label='Test atreal desk', agenda=agenda)
     source = desk.timeperiodexceptionsource_set.create(
         ics_filename='sample.ics', ics_file=ContentFile(ICS_ATREAL, name='sample.ics')
@@ -871,9 +868,9 @@ def test_timeperiodexception_creation_from_ics_with_recurrences_atreal():
 
 
 def test_management_role_deletion():
-    group = Group(name=u'Group')
+    group = Group(name='Group')
     group.save()
-    agenda = Agenda(label=u'Test agenda', edit_role=group, view_role=group)
+    agenda = Agenda(label='Test agenda', edit_role=group, view_role=group)
     agenda.save()
 
     Group.objects.all().delete()
@@ -910,9 +907,9 @@ def test_event_bookings_annotation():
 
 
 def test_virtual_agenda_init():
-    agenda1 = Agenda.objects.create(label=u'Agenda 1', kind='meetings')
-    agenda2 = Agenda.objects.create(label=u'Agenda 2', kind='meetings')
-    virt_agenda = Agenda.objects.create(label=u'Virtual agenda', kind='virtual')
+    agenda1 = Agenda.objects.create(label='Agenda 1', kind='meetings')
+    agenda2 = Agenda.objects.create(label='Agenda 2', kind='meetings')
+    virt_agenda = Agenda.objects.create(label='Virtual agenda', kind='virtual')
     VirtualMember.objects.create(virtual_agenda=virt_agenda, real_agenda=agenda1)
     VirtualMember.objects.create(virtual_agenda=virt_agenda, real_agenda=agenda2)
     virt_agenda.save()
@@ -927,7 +924,7 @@ def test_virtual_agenda_init():
 
 
 def test_virtual_agenda_base_meeting_duration():
-    virt_agenda = Agenda.objects.create(label=u'Virtual agenda', kind='virtual')
+    virt_agenda = Agenda.objects.create(label='Virtual agenda', kind='virtual')
 
     with pytest.raises(ValueError):
         virt_agenda.get_base_meeting_duration()
@@ -1300,7 +1297,7 @@ def test_desk_duplicate_exception_source_from_settings():
 
 
 def test_agenda_meetings_duplicate():
-    group = Group(name=u'Group')
+    group = Group(name='Group')
     group.save()
     agenda = Agenda.objects.create(label='Agenda', kind='meetings', view_role=group)
     desk = Desk.objects.create(label='Desk', agenda=agenda)
@@ -1320,7 +1317,7 @@ def test_agenda_meetings_duplicate():
         start_datetime=now() + datetime.timedelta(days=1),
         end_datetime=now() + datetime.timedelta(days=2),
     )
-    resource = Resource.objects.create(label=u'Foo bar')
+    resource = Resource.objects.create(label='Foo bar')
     agenda.resources.add(resource)
 
     new_agenda = agenda.duplicate()
@@ -1420,9 +1417,9 @@ def test_agenda_events_duplicate():
 
 
 def test_agenda_virtual_duplicate():
-    agenda1 = Agenda.objects.create(label=u'Agenda 1', kind='meetings')
-    agenda2 = Agenda.objects.create(label=u'Agenda 2', kind='meetings')
-    virt_agenda = Agenda.objects.create(label=u'Virtual agenda', kind='virtual')
+    agenda1 = Agenda.objects.create(label='Agenda 1', kind='meetings')
+    agenda2 = Agenda.objects.create(label='Agenda 2', kind='meetings')
+    virt_agenda = Agenda.objects.create(label='Virtual agenda', kind='virtual')
     VirtualMember.objects.create(virtual_agenda=virt_agenda, real_agenda=agenda1)
     VirtualMember.objects.create(virtual_agenda=virt_agenda, real_agenda=agenda2)
     virt_agenda.save()
diff --git a/tests/test_ensure_jsonbfields.py b/tests/test_ensure_jsonbfields.py
index 28c69eb..24b4828 100644
--- a/tests/test_ensure_jsonbfields.py
+++ b/tests/test_ensure_jsonbfields.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 import pytest
 from django.core.management import call_command
 from django.db import connection
diff --git a/tests/test_import_export.py b/tests/test_import_export.py
index 8bfa559..3bceaff 100644
--- a/tests/test_import_export.py
+++ b/tests/test_import_export.py
@@ -1,7 +1,3 @@
-# -*- coding: utf-8 -*-
-
-from __future__ import unicode_literals
-
 import copy
 import datetime
 import json
@@ -10,8 +6,8 @@ import shutil
 import sys
 import tempfile
 from io import StringIO
+from unittest import mock
 
-import mock
 import pytest
 from django.contrib.auth.models import Group
 from django.core.management import CommandError, call_command
@@ -71,7 +67,7 @@ def test_import_export(app):
     empty_output = get_output_of_command('export_site')
     assert len(json.loads(empty_output)['agendas']) == 0
 
-    Agenda(label=u'test').save()
+    Agenda(label='test').save()
     old_stdin = sys.stdin
     sys.stdin = StringIO(json.dumps({}))
     assert Agenda.objects.count() == 1
@@ -313,8 +309,8 @@ def test_import_export_meetings_agenda_options(app):
 
 def test_import_export_permissions(app):
     meetings_agenda = Agenda.objects.create(label='Foo Bar', kind='meetings')
-    group1 = Group.objects.create(name=u'gé1')
-    group2 = Group.objects.create(name=u'gé2')
+    group1 = Group.objects.create(name='gé1')
+    group2 = Group.objects.create(name='gé2')
     meetings_agenda.view_role = group1
     meetings_agenda.edit_role = group2
     meetings_agenda.save()
@@ -328,20 +324,20 @@ def test_import_export_permissions(app):
         import_site(json.loads(output), overwrite=True)
     assert 'gé1' in str(excinfo.value) and 'gé2' in str(excinfo.value)
 
-    group1 = Group(name=u'gé1')
+    group1 = Group(name='gé1')
     group1.save()
     with pytest.raises(AgendaImportError) as excinfo:
         import_site(json.loads(output), overwrite=True)
-    assert u'%s' % excinfo.value == u'Missing roles: "gé2"'
+    assert '%s' % excinfo.value == 'Missing roles: "gé2"'
 
     with tempfile.NamedTemporaryFile() as f:
         f.write(force_bytes(output))
         f.flush()
         with pytest.raises(CommandError) as excinfo:
             call_command('import_site', f.name)
-        assert u'%s' % excinfo.value == u'Missing roles: "gé2"'
+        assert '%s' % excinfo.value == 'Missing roles: "gé2"'
 
-    group2 = Group(name=u'gé2')
+    group2 = Group(name='gé2')
     group2.save()
     import_site(json.loads(output), overwrite=True)
 
@@ -817,8 +813,8 @@ def test_import_export_unavailability_calendar(app):
     payload = json.loads(output)
     assert len(payload['unavailability_calendars']) == 0
 
-    group1 = Group.objects.create(name=u'gé1')
-    group2 = Group.objects.create(name=u'gé2')
+    group1 = Group.objects.create(name='gé1')
+    group2 = Group.objects.create(name='gé2')
     calendar = UnavailabilityCalendar.objects.create(label='Calendar', view_role=group1, edit_role=group2)
     tp1_start = make_aware(datetime.datetime(2017, 5, 22, 8, 0))
     tp1_end = make_aware(datetime.datetime(2017, 5, 22, 12, 30))
diff --git a/tests/test_requests.py b/tests/test_requests.py
index ecb8e15..737743c 100644
--- a/tests/test_requests.py
+++ b/tests/test_requests.py
@@ -1,8 +1,6 @@
-# -*- coding: utf-8 -*-
-
+from unittest import mock
 from urllib import parse
 
-import mock
 import pytest
 from django.contrib.auth.models import AnonymousUser
 
@@ -146,4 +144,4 @@ def test_requests_cache():
             requests.get('http://cache.example.org/other', raise_if_not_cached=True)
 
         # check with unicode url
-        assert requests.get(u'http://cache.example.org/éléphant').content == b'hello second world'
+        assert requests.get('http://cache.example.org/éléphant').content == b'hello second world'
diff --git a/tests/test_time_periods.py b/tests/test_time_periods.py
index f9fbda6..93137ee 100644
--- a/tests/test_time_periods.py
+++ b/tests/test_time_periods.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 import datetime
 
 import pytest
@@ -14,7 +12,7 @@ pytestmark = pytest.mark.django_db
 
 
 def test_timeperiod_time_slots():
-    agenda = Agenda(label=u'Foo bar', slug='bar')
+    agenda = Agenda(label='Foo bar', slug='bar')
     agenda.save()
     desk = Desk.objects.create(label='Desk 1', agenda=agenda)
     meeting_type = MeetingType(duration=60, agenda=agenda)
@@ -126,7 +124,7 @@ def test_time_period_exception_as_string():
                 end_datetime=make_aware(datetime.datetime(2018, 1, 19)),
             )
         )
-        == u'18 jan. 2018'
+        == '18 jan. 2018'
     )
 
     # multiple full days
@@ -137,7 +135,7 @@ def test_time_period_exception_as_string():
                 end_datetime=make_aware(datetime.datetime(2018, 1, 20)),
             )
         )
-        == u'18 jan. 2018 → 20 jan. 2018'
+        == '18 jan. 2018 → 20 jan. 2018'
     )
 
     # a few hours in a day
@@ -148,7 +146,7 @@ def test_time_period_exception_as_string():
                 end_datetime=make_aware(datetime.datetime(2018, 1, 18, 12, 0)),
             )
         )
-        == u'18 jan. 2018 10:00 → 12:00'
+        == '18 jan. 2018 10:00 → 12:00'
     )
 
     # multiple days and different times
@@ -159,7 +157,7 @@ def test_time_period_exception_as_string():
                 end_datetime=make_aware(datetime.datetime(2018, 1, 20, 12, 0)),
             )
         )
-        == u'18 jan. 2018 10:00 → 20 jan. 2018 12:00'
+        == '18 jan. 2018 10:00 → 20 jan. 2018 12:00'
     )
 
 
@@ -169,7 +167,7 @@ def test_desk_opening_hours():
             Q(desk=desk) | Q(unavailability_calendar__desks=desk)
         )
 
-    agenda = Agenda(label=u'Foo bar', slug='bar')
+    agenda = Agenda(label='Foo bar', slug='bar')
     agenda.save()
     desk = Desk.objects.create(label='Desk 1', agenda=agenda)
 
@@ -237,7 +235,7 @@ def test_desk_opening_hours():
 
 def test_timeperiod_midnight_overlap_time_slots():
     # https://dev.entrouvert.org/issues/29142
-    agenda = Agenda(label=u'Foo bar', slug='bar')
+    agenda = Agenda(label='Foo bar', slug='bar')
     agenda.save()
     desk = Desk.objects.create(label='Desk 1', agenda=agenda)
     meeting_type = MeetingType(duration=120, agenda=agenda)
-- 
2.30.2

